/*
 * @Author: XianKaiQun
 * @Date: 2020-08-17 08:33:23
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-18 18:29:50
 * @Description: 
 */
import 'package:app_package/app_package.dart';
import 'package:receipt_package/src/models/acquire_detail.dart';
import 'package:receipt_package/src/models/advance.dart';
import 'package:receipt_package/src/models/code_name.dart';
import 'package:receipt_package/src/models/deposit_asset_detail.dart';
import 'package:receipt_package/src/models/deposit_detail.dart';
import 'package:receipt_package/src/models/payer.dart';
import 'package:receipt_package/src/models/search_item.dart';
import 'package:receipt_package/src/view_models/success.dart';

abstract class ReceiptService {
  ///房屋列表
  Future<ResModel<PagingModel<SearchItemModel>>> getHouseSearchList(data);

  ///车辆列表
  Future<ResModel<PagingModel<SearchItemModel>>> getCarSearchList(data);

  ///车位列表
  Future<ResModel<PagingModel<SearchItemModel>>> getParkSearchList(data);

  ///资产账单缴费页面（房屋|车辆|车位）
  Future<ResModel<AcquireDetailModel>> getAcquireDetail(data);

  ///房屋预存款详情
  Future<ResModel<List<DepositDetailModel>?>> getHouseDepositDetail(data);

  ///车辆预存款详情
  Future<ResModel<List<DepositDetailModel>?>> getCarDepositDetail(data);

  ///车位预存款详情
  Future<ResModel<List<DepositDetailModel>?>> getPackDepositDetail(data);

  ///车位预存款详情
  Future<ResModel<DepositAssetDetailModel>> getPackDepositAssetDetail(data);

  ///缴费人
  Future<ResModel<List<PayerModel>?>> getPayerList(data);

  ///支付方式枚举
  Future<ResModel<List<CodeNameModel>?>> getPayTypeList(data);

  ///
  Future<ResModel<List<AdvanceModel>?>> getPrePayChoiceAsset(data);

  ///
  Future<ResModel<List<AdvanceModel>?>> getChargeItem(data);

  /// 确认收单
  Future<ResModel<Map<String, dynamic>?>> postAcquire(data);

  /// 成功收单详情
  Future<ResModel<SuccessModel>> getSuccess(data);
}
